import logo from "../shared/img/logo.png";
import Step from "../components/Step";

import "./styles.scss";
import Login from "../components/Login";

const collectRewards = ["When checking out through your Shopify payment gateway customers need to create a customer account with your business.(or log into their existing customer account)", "The customer online account, and Lynked Loyalty app must use the same email address - this is what connects your store to a particular customer account allowing customers to collect points online and in your store.", "When a customer logs in to their account on your website with their email that matches their Lynked account, they will collect 1 point for every €/£/$ they spend online.", "Their points will be added to their Lynked Loyalty customer app on their mobile device which they can also use to collect points in your store."]

const Admin = ({plugin_args}) => {
    return (
        <div>
            <div className="header">
                <img src={logo} alt="Lynked" className="logo"/>
            </div>

            <h2 className="title">Welcome to Lynked Loyalty</h2>
            <h3 className="title-h3 subtitle">Omnichannel customer loyalty for your business.</h3>

            <div className="lynked-description ">
                Connect your physical store and e-commerce customer loyalty programs together with Lynked loyalty. Your
                customers can collect loyalty rewards on their mobile device by shopping in your store and through your
                website.
            </div>

            <div className="setupInstruction--wrapper">
                <h3 className="title-h3">Setup Instruction</h3>
                <h4 className="title-h4 ">Let`s get started by following this guide</h4>

                <Step stepNumber={1}
                      description="To connect your e-commerce store to Lynked Loyalty, log in to your Lynked account below. You will be redirected to the Lynked dashboard where you manage your entire loyalty program, including in-store and e-comerce customers."/>

                <h3 className="title-h3 collect">How do customers collect rewards?</h3>

                <ol>
                    <li>Existing or new customers can download Lynked Loyalty for
                        <a className="link" target="_blank"
                           href="https://apps.apple.com/ua/app/lynked-loyalty/id1513972594">iOS</a>/<a
                            className="link withoutSpace" target="_blank"
                            href="https://play.google.com/store/apps/details?id=com.lynkedreactnative">Android</a> and
                        create an account.
                    </li>
                    {collectRewards.map((description, i) => {
                        return <li className="description" key={i}>{description}</li>;
                    })}
                </ol>
            </div>

            <Login plugin_args={plugin_args} />
        </div>
    )
}

export default Admin;