import {useDispatch, useSelector} from "react-redux";

import {Arrow} from "../../shared/icons/arrow";
import Download from "./Download";
import PointsActivity from "./PointsActivity";
import VoucherInfo from "./VoucherInfo";
import Rewards from "./Rewards";
import WaysToRedeem from "./WaysToRedeem";
import WaysToEarn from "./WaysToEarn";
import {setType} from "../../store/reducers/general/generalSlice";
import {generalSelector, rewardsSelector} from "../../store/selectors";

import "./styles.scss";
import CloseModal from "../CloseModal";

const ModalDetails = ({isLogin, openModal }) => {
    const dispatch = useDispatch();
    const { type,shopName } = useSelector(generalSelector);
    const { points } = useSelector(rewardsSelector);

    const clickBack = () => {
        dispatch(setType(type === "voucherInfo" ? "vouchers" : null));
    }

    return (
        <div className="reward-block reward-detail-block view-block">
            <div>
                <div className="reward--header">
                    <CloseModal openModal={openModal}/>

                    <div className="point-back--wrapper">
                        <button className="reward-back" onClick={clickBack}>
                            <Arrow/>
                        </button>

                        {isLogin ?
                            <h4 className="pointsBlock">Your Lynked Loyalty points: {points}</h4>
                            : <h4>{shopName}</h4>
                        }
                    </div>
                </div>

                <div className="reward-content--wrapper">
                    {type === 'earn' && <WaysToEarn/>}
                    {type === 'redeem' && <WaysToRedeem/>}
                    {type === 'vouchers' && <Rewards />}
                    {type === 'voucherInfo' && <VoucherInfo />}
                    {type === 'download' && <Download/>}
                    {type === 'activity' && <PointsActivity />}


                    {isLogin ?
                        <div className="reward-footer">
                            <p className="card-description">We reward with Lynked Loyalty</p>
                        </div>
                        : <div className="info--footer">
                            <a href="/my-account/" className="joinNow">Join now</a>
                            <p className="card-description">Already have an account?
                                <a href="/my-account/">Sign in</a>
                            </p>
                        </div>
                    }
                </div>
            </div>
        </div>
    )
};

export default ModalDetails;